Subject: Re: [PATCH] refs/files: deprecate writing symrefs as symbolic links

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Oct 2025 07:49:45 -0700

Patrick Steinhardt <[email-masked]> writes:

> I don't think we do. I'll say "textual symref format" here.
>
>> > +	warn_once = 0;
>> > +
>> > +	ref_path = get_locked_file_path(&lock->lk);
>> 
>> Was there a reason why we want to first warn and then attempt to
>> lock?  We are afraid that we may die before we have a chance to
>> warn()?
>
> No particular reason, no. Happy to move it towards the end so that error
> messages are given preference.

I have no strong preference.  I just wondered if there were deep
reason that was unexplained behind this change.